- content_for :title do
  about media.ccc.de

.container

  %h1 About media.freifunk.net
  %h3
    Feel free to download as much as you like, all our traffic is sponsored.

  =render 'frontend/shared/short_about'

  %p
    If you are anyhow related to the Freifunk community and would like us to convert and publish your video material on this website, feel free to contact us.

    Whilst we hope you find the provided video material interesting and informative we can give no assurances or warranty regarding its quality. The opinions expressed in the video material do not necessarily state or reflect those of the Freifunk community.

  %b Contact:
  %a{href: 'mailto:media@koeln.ccc.de'} media@freifunk.net

  %h2 Direct Download

  :markdown
    You can download all files directly from our [CDN](https://cdn.media.freifunk.net).

  %h2 Licenses

  The license displayed in the actual video file applies. If there is no license encoded in the video file we suggest you ask the
  organizers of the recordings event.

  %h2 Privacy Policy

  %p
    While browsing through the website normally we do not save any information wich could be used to identify a person. The log files are anonymized before they are saved and we do not have a de-anonymized version of the them. The anonymized log-files may be used to plot usage statistics.

  The following data is collected and saved for an undefined duration:

  %ul
    %li Date and time,
    %li the visited pages,
    %li status codes the webserver answered with,
    %li your browser and operating system,
    %li and the referring URL

  %p
    If a connection to port 80 fails, an error log will be created. It contains the IP address of the host causing the error and the website containing the faulty hyperlink. This error log will only be used to fix the error and will not be used in any other way.

  %p
    Video and audio files are often provided by mirrors and are not covered by this policy.
    These files are served via HTTP, without encryption, due to technical issues.

  %h2 Current Mirrors

  #status

  %p
    :markdown
      You can append `?mirrorlist` or `?mirrorstats` to all file URLs on our [CDN](https://cdn.media.freifunk.net),
      [like](https://cdn.media.freifunk.net/d97d0ab8-90f9-42bb-bbb9-972afad2a122/18-hd.webm?mirrorlist)
      [this](https://cdn.media.freifunk.net/d97d0ab8-90f9-42bb-bbb9-972afad2a122/18-hd.webm?mirrorstats).

  %h2#apps Apps

  %ul
    %li
      :markdown
        [youtube-dl](https://github.com/rg3/youtube-dl)

  %h2 Bug reports and feature requests
  %p
    Please use the
    %a{href: 'https://github.com/freifunk/voctoweb/issues'} issue tracker
    on github to let us know about errors
    %a{href: '//media.freifunk.net'} media.ccc.de
    \. The latest source code version of this platform is also hosted on
    %a{href: 'https://github.com/freifunk/voctoweb'} github
    and ready to expect your pull-requests.

  %h2 Imprint

  %p
    :markdown
      Please see [freifunk.net](https://freifunk.net/webteam).

  %script#status-template{type: 'text/x-handlebars-template'}
    <table class="table table-striped table-condensed">
    <tr>
    <th>Name</th>
    <th>Location</th>
    <th>Last Scan</th>
    <th>Monthly TB (estimate)</th>
    <th>Monthly Downloads</th>
    <th>File Count</th>
    <th>Stats</th>
    </tr>
    {{#each MirrorList}}
    {{#if this.HttpURL}}
    <tr>
    {{else}}
    <tr class='warning'>
    {{/if}}
    <td><a href="{{this.HttpURL}}">{{this.ID}}</a></td>
    <td><a href="//www.openstreetmap.org/#map=9/{{this.Latitude}}/{{this.Longitude}}">{{this.ContinentCode}}/{{this.CountryCodes}}</a></td>
    <td>{{formatDate this.LastSync}}</td>
    <td>{{gb this.MonthBytes}}</td>
    <td>{{this.MonthDownloads}}</td>
    <td>{{this.FileCount}}</td>
    <td>{{#if this.SponsorURL}}<a href="{{this.SponsorURL}}">{{this.SponsorName}}</a>{{/if}}
    </tr>
    {{/each}}
    </table>

  :javascript
    Handlebars.registerHelper("formatDate", function(datetime) {
      var aDate = new Date(datetime);
      return aDate.toLocaleString();
    });
    Handlebars.registerHelper("gb", function(bytes) {
      return Math.floor(bytes / Math.pow(1024, 4));
    });
    $(document).ready(function() {
      var source = $('#status-template').html();
      var template = Handlebars.compile(source);
      var target = $('#status');
      $.get("https://cdn.media.freifunk.net/freifunk-logo.png", function(data,status,xhr){
        var html = template(data);
        target.html(html);
      }, "json");
    });

